Bug 53007 - dateconfig always resets system time.
dateconfig always resets system time.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: dateconfig (Show other bugs)
roswell
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks: 552158
  Show dependency treegraph
 
Reported: 2001-09-01 13:46 EDT by Ed McKenzie
Modified: 2010-05-05 01:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-04 10:59:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2001-09-01 13:46:57 EDT
How to reproduce:

In a terminal, run

   while true ; do sh -c "clear ; date" | cat ; sleep 1 ; done

then open dateconfig, wait a minute or so, and close it.  Regardless of
whether the time is changed, it sets the system time on exit, causing the
time in the other window to jump back.
Comment 1 Brent Fox 2001-09-04 11:08:52 EDT
I can't seem to reproduce this behavior.  When you say, "close it", how are you
closing it?  Using the Cancel button or the X button in the title bar of the window?
Comment 2 Ed McKenzie 2001-09-04 14:58:17 EDT
Using the "ok" button.  It's not clear to me that clicking "ok" should change
the time if it hasn't been touched.
Comment 3 Ed McKenzie 2001-09-04 15:00:46 EDT
(Actually, I believe the way this works on some other systems is that the
controls themselves update with the time, so that clicking "ok" sets the time -
but to the current time.)
Comment 4 Brent Fox 2001-09-05 16:56:45 EDT
The function of the OK button is identical to the Apply button except that OK
closes the application after applying the changes.  Apply just applies the
changes and does not close the program.  The Cancel button is designed to close
the program without applying any changes.  

However, there is a small problem.  If you start dateconfig, it populates the
entry boxes with the system time when dateconfig was started.  If you leave
dateconfig open for a few minutes, and then click OK without changing anything,
it will roll the system clock back to the time that is in the entry boxes (which
is the time that dateconfig was started).  I can fix this, but I think it's
pretty minor, considering that you should really click Cancel if you don't want
the changes to take effect.  I'm not comfortable changing this in the current
time frame, though.  Deferring to a future release.
Comment 5 Brent Fox 2001-10-04 16:34:13 EDT
Fixed in cvs.  Now the behavior is that clicking 'Apply' or 'OK' will only
change the time if the user has actually modified the time widgets in some way.

Note You need to log in before you can comment on or make changes to this bug.